Arduino

Reference Language | Libraries | Comparison | Changes

Mouse

## Mouse.release()

#### Description

Sends a message that a previously pressed button (invoked through Mouse.press()) is released. Mouse.release() defaults to the left button.

WARNING: When you use the Mouse.release() command, the Arduino takes over your mouse! Make sure you have control before you use the command. A pushbutton to toggle the mouse control state is effective.

#### Syntax

Mouse.release();
Mouse.release(button);

#### Parameters

button: which mouse button to press - char

- MOUSE_LEFT (default)
- MOUSE_RIGHT
- MOUSE_MIDDLE

#### Returns

nothing

#### Example

void setup(){
//The switch that will initiate the Mouse press
pinMode(2,INPUT);
//The switch that will terminate the Mouse press
pinMode(3,INPUT);
//initiate the Mouse library
Mouse.begin();
}
void loop(){
//if the switch attached to pin 2 is closed, press and hold the right mouse button
if(digitalRead(2) == HIGH){
Mouse.press();
}
//if the switch attached to pin 3 is closed, release the right mouse button
if(digitalRead(3) == HIGH){
Mouse.release();
}
}
[Get Code]

#### See also

- Mouse.begin()
- Mouse.click()
- Mouse.end()
- Mouse.move()
- Mouse.press()
- Mouse.isPressed()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes